# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models, api
from datetime import datetime, date


class SaleOrder(models.Model):
    _inherit = 'sale.order'

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------
    @api.multi
    def action_confirm(self):
        res = super(SaleOrder, self).action_confirm()
        for order in self:
            for line in order.order_line:
                cat_ids = line.product_id.public_categ_ids
                rec = self.env['nichoirs.stat.year'].search([
                    ('categ_id', '=', cat_ids[0].id),
                    ('year', '=', date.today().year)
                ])
                if rec:
                    rec.product_qty += line.product_uom_qty
                else:
                    self.env['nichoirs.stat.year'].create({
                        'categ_id': cat_ids[0].id,
                        'year': date.today().year,
                        'product_qty': line.product_uom_qty
                    })
        return res
    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
